Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  GetRange

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Importformate aus dem Windows Dateiexplorer heraus öffnen
Autor Thema:  GetRange (1826 mal gelesen)
BastiD
Mitglied
CAx/PLM Administrator


Sehen Sie sich das Profil von BastiD an!   Senden Sie eine Private Message an BastiD  Schreiben Sie einen Gästebucheintrag für BastiD

Beiträge: 41
Registriert: 12.03.2013

Solid Edge ST6 / ST8 Test
Teamcenter 9 /10 u 11 Test
NX 10
WIN 7
Office 2010

erstellt am: 01. Jun. 2013 18:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Liebe Forumgemeinde

Ich möchte eine Bounding Box um ein Teil ziehen und die Abmessungen in ein Prop-Feld schreiben.
Das ganze soll in VB 2010 erstellt werden.
Bisher hab ich nur für VB6 Code und Hilfen gefunden.
Fertige Tools wie Setextens nutzen mir da auch wenig.
Soll in einen Code eingebunden werden. (Abgleich mit Abwicklung usw.)
Hat da jemand schon mal was auf .Net gemacht?

Vielen Dank schon mal.

Basti

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wolha
Moderator
CAD - Consultant


Sehen Sie sich das Profil von wolha an!   Senden Sie eine Private Message an wolha  Schreiben Sie einen Gästebucheintrag für wolha

Beiträge: 5326
Registriert: 30.01.2002

Win 10 Pro
Solid Edge 2021
CAMWorks
Primus PDM
FEMAP
Dynamic Designer
Teamcenter

erstellt am: 01. Jun. 2013 20:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BastiD 10 Unities + Antwort hilfreich

Hallo Basti,


nur zur Info:
Du findest das fertige Tool bei mir auf der HP unter SheetLaser und Hauptmaße.

http://www.cadcam-consult.com und dann unetr Solid Edge und kostenlsoe Downloads

mfg
Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BastiD
Mitglied
CAx/PLM Administrator


Sehen Sie sich das Profil von BastiD an!   Senden Sie eine Private Message an BastiD  Schreiben Sie einen Gästebucheintrag für BastiD

Beiträge: 41
Registriert: 12.03.2013

Solid Edge ST6 / ST8 Test
Teamcenter 9 /10 u 11 Test
NX 10
WIN 7
Office 2010

erstellt am: 01. Jun. 2013 21:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wie gesagt, das bringt nicht viel, da die Anwendung sehr viel komplexer ist als nur Hauptabmasse und Abwicklung. Eigenschaften und Variablenverwaltung sind da auch nur so ein Thema.
Wer hat also wirklich Code, der sich einbinden lässt.

Danke für die Antwort

Basti

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dark Solid-Worker
Mitglied
Ingenieur


Sehen Sie sich das Profil von Dark Solid-Worker an!   Senden Sie eine Private Message an Dark Solid-Worker  Schreiben Sie einen Gästebucheintrag für Dark Solid-Worker

Beiträge: 51
Registriert: 05.12.2003

ST5 64bit Classic MP7 / Win 7 64bit / Smap3D V9.6

erstellt am: 03. Jun. 2013 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BastiD 10 Unities + Antwort hilfreich

Hallo

Habe da einmal etwas gestrickt.
VB.net 2010

Grüsse

        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objdoc As Object = Nothing
        Dim SelSet As SolidEdgeFramework.SelectSet = Nothing

        'Properties
        Dim objPropertySets As SolidEdgeFramework.PropertySets = Nothing
        Dim objProperties As SolidEdgeFramework.Properties = Nothing
        Dim objProperty As SolidEdgeFramework.Property = Nothing

        '  Dim objModel As SolidEdgePart.Model
        Dim objmodel As Object = Nothing

        objApp = Marshal.GetActiveObject("SolidEdge.Application")

        ' Open the document.
        objdoc = objApp.ActiveDocument        ' may be part/assy/weld

        Select Case objApp.ActiveDocumentType
            Case DocumentTypeConstants.igDraftDocument
                ' MsgBox("Kein 3D-Modell")
        End Select

        'Prüffe ob Selektiert
        SelSet = objApp.ActiveDocument.SelectSet
        If SelSet.Count = 1 Then
            ' MsgBox("Ein Teil gewählt")
            Call objApp.StartCommand(57873)
            objApp.DisplayAlerts = False
            objApp.Visible = False
            objApp.WindowState = FormWindowState.Minimized
            objdoc = objApp.ActiveDocument
        End If

        'grenzabmasse
        Dim objUOM As SolidEdgeFramework.UnitsOfMeasure = Nothing
        Dim Grösse(3) As String
        Static dMin() As Double
        Static dMax() As Double
        Static dBreite As Double
        Static dLänge As Double
        Static dHöhe As Double
        objUOM = objdoc.UnitsOfMeasure
        ReDim dMax(2)
        ReDim dMin(2)


        objmodel = objdoc.Models.Item(1)
        objmodel.Body.GetExactRange(dMin, dMax)
        dLänge = Math.Sqrt((dMax(0) - dMin(0)) ^ 2) 'x/z Ebene
        Grösse(1) = objUOM.FormatUnit(SolidEdgeFramework.UnitTypeConstants.igUnitDistance, dLänge)
        dBreite = Math.Sqrt((dMax(1) - dMin(1)) ^ 2) 'y/z Ebene
        Grösse(2) = objUOM.FormatUnit(SolidEdgeFramework.UnitTypeConstants.igUnitDistance, dBreite)
        dHöhe = Math.Sqrt((dMax(2) - dMin(2)) ^ 2) 'x/y Ebene
        Grösse(3) = objUOM.FormatUnit(SolidEdgeFramework.UnitTypeConstants.igUnitDistance, dHöhe)

        Array.Sort(Grösse)

        Dim l As String
        Dim b As String
        Dim dicke As String
        Dim variables As SolidEdgeFramework.Variables = Nothing
        variables = DirectCast(objdoc.Variables, SolidEdgeFramework.Variables)

        'Abwicklung:
        l = Math.Round(variables.Item("Flat_Pattern_Model_CutSizeX").value * 1000, 2)
        b = Math.Round(variables.Item("Flat_Pattern_Model_CutSizeY").value * 1000, 2)
        dicke = Math.Round(variables.Item("Materialstärke").value * 1000, 2)

        If Not (objmodel Is Nothing) Then
            Marshal.ReleaseComObject(objmodel)
            objmodel = Nothing
        End If

        If Not (SelSet Is Nothing) Then
            Marshal.ReleaseComObject(SelSet)
            SelSet = Nothing
        End If

        If Not (objdoc Is Nothing) Then
            Marshal.ReleaseComObject(objdoc)
            objdoc = Nothing
        End If


        If Not (objApp Is Nothing) Then
            Marshal.ReleaseComObject(objApp)
            objApp = Nothing
            GC.Collect()
        End If


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BastiD
Mitglied
CAx/PLM Administrator


Sehen Sie sich das Profil von BastiD an!   Senden Sie eine Private Message an BastiD  Schreiben Sie einen Gästebucheintrag für BastiD

Beiträge: 41
Registriert: 12.03.2013

Solid Edge ST6 / ST8 Test
Teamcenter 9 /10 u 11 Test
NX 10
WIN 7
Office 2010

erstellt am: 11. Jun. 2013 08:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Konnte es leider immernochnicht testen, aber schonmal vielen Dank.
Sieht besser aus als erwartet.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

aszepesi
Mitglied
application engineer

Sehen Sie sich das Profil von aszepesi an!   Senden Sie eine Private Message an aszepesi  Schreiben Sie einen Gästebucheintrag für aszepesi

Beiträge: 4
Registriert: 28.07.2013

erstellt am: 28. Jul. 2013 23:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BastiD 10 Unities + Antwort hilfreich

Du musst GetExactRange() benutzen. Diese Funtionen benutzen nur die Basis CSYS.
http://www.youtube.com/watch?v=QD73QqlJj14&feature=youtu.be

------------------
aszepesi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz